Skip to main content
POST
/
v2.0
/
tasks
Create Task
curl --request POST \
  --url https://api.lofty.com/v2.0/tasks \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "type": "Call",
  "content": "Send an email to my lead",
  "leadId": 563172647619608,
  "assignedRole": "Agent",
  "startAt": "2026-03-01T15:00:00-08:00",
  "endAt": "2026-03-01T16:00:00-08:00",
  "timeZoneCode": "America/Los_Angeles",
  "address": "123 Main St, Los Angeles, CA"
}
'
{
  "taskId": 563172647619608
}

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Content-Type
string
required

application/json

Body

application/json

Task or appointment payload.

type
string
required

The type of the task. Could be Other, Call, Email, Text, Appointment

Example:

"Call"

content
string

Description of the task

Example:

"Send an email to my lead"

leadId
integer<int64>

The ID of the lead this task is related to

Example:

563172647619608

assignedRole
string

Role the task should be assigned to (Agent or Assistant)

Example:

"Agent"

startAt
string

When this task/appointment should start. ISO8601 format in specified timezone, e.g., '2026-03-01T15:00:00-08:00'

Example:

"2026-03-01T15:00:00-08:00"

endAt
string

When this task/appointment should end. ISO8601 format in specified timezone, e.g., '2026-03-01T16:00:00-08:00'. For regular tasks, this represents the deadline

Example:

"2026-03-01T16:00:00-08:00"

timeZoneCode
string

Timezone code for this task/appointment

Example:

"America/Los_Angeles"

address
string

Address/location for appointment type tasks

Example:

"123 Main St, Los Angeles, CA"

Response

Task or appointment created. Response contains the new entry's ID.

Wrapped response for POST /v2.0/tasks. The new task's ID is returned under the 'taskId' key.

taskId
integer<int64>

ID of the newly created task or appointment.

Example:

563172647619608